(function ($) {
	Drupal.behaviors.power_reviews = {
	attach: function (context, settings) {
		var config = Drupal.settings.powerreview_api_details;
		var content_type_details = Drupal.settings.powerreviews_content_details;
		var powerreviews_review_details = Drupal.settings.powerreviews_review_details;

		if(content_type_details != undefined) {
			POWERREVIEWS.display.render([
				{
					api_key: config.power_reviews_api_key,
					merchant_group_id: config.power_reviews_merchant_group_id,
					merchant_id: config.power_reviews_merchant_id,
					locale: config.power_reviews_locale,
					page_id: content_type_details.powerreviews_page_id,
					review_wrapper_url: config.power_reviews_write_review_url + '/?pr_page_id=' + content_type_details.powerreviews_page_id,
					components: {
						CategorySnippet: content_type_details.power_reviews_applied_categorysnippet
					}
				},
				{
					api_key: config.power_reviews_api_key,
					merchant_group_id: config.power_reviews_merchant_group_id,
					merchant_id: config.power_reviews_merchant_id,
					locale: config.power_reviews_locale,
					page_id: content_type_details.powerreviews_page_id,
					review_wrapper_url: config.power_reviews_write_review_url + '/?pr_page_id=' + content_type_details.powerreviews_page_id,
					components: {
						ReviewSnippet: content_type_details.power_reviews_applied_reviewsnippet,
						ReviewDisplay: content_type_details.power_reviews_applied_reviewdisplay
					}
				}			
			]);
		}

		if(powerreviews_review_details != undefined) {
			POWERREVIEWS.display.render({
				api_key: config.power_reviews_api_key,
				merchant_group_id: config.power_reviews_merchant_group_id,
				merchant_id: config.power_reviews_merchant_id,
				locale: config.power_reviews_locale,
				page_id: powerreviews_review_details.powerreviews_page_id,
				components: {
					Write: powerreviews_review_details.power_reviews_write_review
				}
			});		
		}
	}
	};
}(jQuery));